# TODO
# - make this primary db of blacklist db (merge kmod/module-init-tools) ?
# - merge (switch?) with http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/sys-apps/hwids ?
#   their db contains also OUI, IAB IDs databases: https://github.com/gentoo/hwids
# - enable .gz if lshw, usbip, usbutils/lsusb.py have .gz support
# - package Individual Address Blocks file (iab.txt)?
# NOTE: pnp.ids in pnputils package differ from that in hwdata
# (hwdata pnp.ids contain only vendor IDs, pnputils pnp.ids contains only
#  device IDs of (some) PNPACPI, PNPBIOS and ISAPNP devices)
# - update to use oui.txt from this package:
#   - hwdata-0.225-0.20090808.1.noarch
#   - lshw-B.02.14-1.i686
#   - python-netaddr-0.7.3-1.noarch
Summary:	Hardware identification and configuration data
Summary(pl.UTF-8):	Dane do identyfikacji i konfiguracji sprzętu
Name:		hwdata
Version:	0.394
Release:	2
License:	GPL v2+
Group:		Applications/System
#Source0Download: https://github.com/vcrhonek/hwdata/releases
Source0:	https://github.com/vcrhonek/hwdata/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0caef5509aae2f4ac85b563d3ce6e2fe
URL:		https://github.com/vcrhonek/hwdata
Obsoletes:	ieee-oui < 20131129
Conflicts:	Xconfigurator < 4.9.42-1
Conflicts:	ntop < 4.1.0-2
Conflicts:	pciutils < 3.1.10-6
Conflicts:	usbutils < 006-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/lib
%define		_docdir		%{_prefix}/share/doc
%define		modprobe_d	/usr/lib/modprobe.d

%description
hwdata contains various hardware identification and configuration
data, such as pci.ids, usb.ids, oui.txt and pnp.ids (vendor IDs)
databases.

%description -l pl.UTF-8
Pakiet hwdata zawiera różne dane do identyfikacji i konfiguracji
sprzętu, takie jak bazy danych pci.ids, usb.ids, oui.txt i pnp.ids.

%prep
%setup -q

# if git-generated ChangeLog is missing in release, make one from included .spec
if [ ! -f ChangeLog ]; then
	%{__sed} -ne '/^%changelog/,$p' hwdata.spec | tail -n +2 > ChangeLog
fi

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	libdir=%{_prefix}/lib \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_npkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{modprobe_d}/dist-blacklist.conf

%{__mv} $RPM_BUILD_ROOT%{_datadir}/pkgconfig/hwdata.pc $RPM_BUILD_ROOT%{_npkgconfigdir}

# disabled: some applications don't support compressed formats
%if 0
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/pci.ids
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/usb.ids
gzip -n9 $RPM_BUILD_ROOT%{_datadir}/%{name}/oui.txt
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/iab.txt*
%{_datadir}/%{name}/oui.txt*
%{_datadir}/%{name}/pci.ids*
%{_datadir}/%{name}/pnp.ids
%{_datadir}/%{name}/usb.ids*
%{_npkgconfigdir}/hwdata.pc
%changelog
* Fri Apr 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hwdata.git;a=log;h=master

* Fri Apr 04 2025 Jakub Bogusz <qboosh@pld-linux.org> 19d255a
- fix docdir for rpm 4.20; release 2

* Fri Apr 04 2025 Jakub Bogusz <qboosh@pld-linux.org> afb8a11
- updated to 0.394

* Sun Jul 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 4fd4648
- updated to 0.384

* Tue Apr 30 2024 Marcin Krol <hawk@tld-linux.org> 2d5a5bd
- updated to 0.381

* Mon Feb 05 2024 Jakub Bogusz <qboosh@pld-linux.org> da42c56
- updated to 0.378

* Thu Oct 05 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 34020ef
- Upt o 0.375

* Sun Sep 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 84ded38
- updated to 0.374

* Thu May 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 6169796
- updated to 0.370

* Fri Dec 02 2022 Jan Palus <atler@pld-linux.org> a9891a3
- up to 0.364

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 39bac85
- updated to 0.356

* Sun May 02 2021 Jan Palus <atler@pld-linux.org> 348fc63
- up to 0.346

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 1c74375
- updated to 0.333

* Sun May 19 2019 Jakub Bogusz <qboosh@pld-linux.org> c3de38c
- updated to 0.323

* Tue Dec 04 2018 Marcin Krol <hawk@tld-linux.org> ffb0d56
- updated to 0.318

* Fri Sep 28 2018 Adam Gołębiowski <adamg@pld-linux.org> 9149bc2
- updated to 0.314

* Sun May 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 4337dae
- updated to 0.312

* Mon Apr 09 2018 Marcin Krol <hawk@tld-linux.org> 0706120
- upated to 0.311

* Sat Jul 22 2017 Jan Palus <atler@pld-linux.org> f1bc342
- up to 0.302

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> b2e516a
- updated to 0.291

* Fri May 20 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d8845d6
- up to 0.289

